<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPhoneTypeDisplayInstanceReq StructType
 * @subpackage Structs
 */
class GetPhoneTypeDisplayInstanceReq extends APIRequest
{
    /**
     * The productName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * - minOccurs: 1
     * @var string
     */
    public $productName;
    /**
     * The protocol
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * - minOccurs: 1
     * @var string
     */
    public $protocol;
    /**
     * Constructor method for GetPhoneTypeDisplayInstanceReq
     * @uses GetPhoneTypeDisplayInstanceReq::setProductName()
     * @uses GetPhoneTypeDisplayInstanceReq::setProtocol()
     * @param string $productName
     * @param string $protocol
     */
    public function __construct($productName = null, $protocol = null)
    {
        $this
            ->setProductName($productName)
            ->setProtocol($protocol);
    }
    /**
     * Get productName value
     * @return string
     */
    public function getProductName()
    {
        return $this->productName;
    }
    /**
     * Set productName value
     * @param string $productName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetPhoneTypeDisplayInstanceReq
     */
    public function setProductName($productName = null)
    {
        $this->productName = $productName;
        return $this;
    }
    /**
     * Get protocol value
     * @return string
     */
    public function getProtocol()
    {
        return $this->protocol;
    }
    /**
     * Set protocol value
     * @param string $protocol
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetPhoneTypeDisplayInstanceReq
     */
    public function setProtocol($protocol = null)
    {
        $this->protocol = $protocol;
        return $this;
    }
}
